SocialServiceImpl (gCube Social Profile Portlet 0.4.0-SNAPSHOT API)
Date: 2014-07-23

org.gcube.portlets.user.socialprofile.server

## Class SocialServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.user.socialprofile.server.SocialServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, SocialService

      public class SocialServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements SocialService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDevelopmentUser()` when packaging test will fail if the user is not set to test.user
    `UserContext` | `getUserContext(String userid)`
    `Boolean` | `saveHeadline(String newHeadline)`
    `Boolean` | `saveIsti(String institution)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocialServiceImpl

          public SocialServiceImpl()

  - ### Method Detail

    - #### getDevelopmentUser

          public String getDevelopmentUser()

      when packaging test will fail if the user is not set to test.user
      Returns:
        .

    - #### getUserContext

          public UserContext getUserContext(String userid)

      Specified by:
        `getUserContext` in interface `SocialService`

    - #### saveHeadline

          public Boolean saveHeadline(String newHeadline)

      Specified by:
        `saveHeadline` in interface `SocialService`

    - #### saveIsti

          public Boolean saveIsti(String institution)

      Specified by:
        `saveIsti` in interface `SocialService`

Copyright © 2014. All Rights Reserved.